// Read this after all SoA dialogue. Start reading with O#Bran.d
// This is Branwen's ToB main dialogue file, after she joins the party. Best read after SoA files.

BEGIN O#BRA25J

// Branwen is summoned via Fate Spirit. This code is taken directly from the game.
// #2 means that Branwen's line(summoning Branwen) will be placed right after the first two lines, Anomen's and Aerie's. Unfortunately, we can't account for all NPCs like Adrian and Arath, but at least it's best to have an option to summon Branwen right after Yoshimo. 
// Lots of lines here, I know. 

EXTEND_TOP FATESP 6 #2
+ ~!Dead("O#Bran") !InMyArea("O#Bran") Global("O#BranSummoned","GLOBAL",0)~ + ~Amène moi Branwen, la prêtresse de Tempus.~
DO ~CreateVisualEffect("SPPORTAL",[1999.1228])
Wait(2) 
CreateCreature("O#Bran25",[1999.1228],0) 
SetGlobal("O#BranSummoned","GLOBAL",1)~ GOTO 8
+ ~!Dead("O#Bran") !InMyArea("O#Bran") Global("O#BranSummoned","GLOBAL",0)
Gender(Player1,MALE) OR(4) Race(Player1,HUMAN) Race(Player1,ELF) Race(Player1,HALF_ELF) Race(Player1,HALFORC)~ + ~Amène moi mon amour, Branwen.~
DO ~CreateVisualEffect("SPPORTAL",[1999.1228])
Wait(2)
SetGlobal("O#BranRomanceActive","GLOBAL",2)
CreateCreature("O#Bran25",[1999.1228],0) 
SetGlobal("O#BranSummoned","GLOBAL",1)~ GOTO 8
END

// Volo's obligatory interjection in Saradush.

EXTEND_TOP SARVOLO 9 #2
+ ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) !Global("O#BranRomanceActive","GLOBAL",2)~ + ~Parle moi de Branwen.~ + O#BranVoloBio1
+ ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) Global("O#BranRomanceActive","GLOBAL",2)~ + ~Parle moi de Branwen.~ + O#BranVoloBio2
END

CHAIN SARVOLO O#BranVoloBio1
~Une prêtresse de Tempus et un guerrier honorable sans égal, Branwen de Norheim inspire d'innombrables chasons avec son ardeur dans la bataille et sa fervente dévotion envers ses amis.~
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Ha! Flatteur et précis. Que pourrais-je jamais désirer de plus?~
EXTERN SARVOLO 9

CHAIN SARVOLO O#BranVoloBio2
~Ils disent que l'enfant de Bhaal a trouvé le réconfort dans les bras de la belle et mortelle prêtresse de Tempus, mais je ne m'en rends compte que maintenant! Accepterais-tu que l'on se rencontre en privé, mon chéri? J'aimerais connaître quelques détails.~
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Certainement. Tant que tu brules le résultat final.~
EXTERN SARVOLO 9

// Solar, final interjections at the Throne of Bhaal and <CHARNAME>'s choice for the romanced protagonists.

// non-romanced

I_C_T FINSOL01 27 O#BranSolarFriend1
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) !Global("O#BranRomanceActive","GLOBAL",2)~ THEN ~Tu pars, pas vrai? Je serais bien tenté, si j'étais toi. Mais c'est ton choix, seulement le tien. Bonne chance pour ta réussite, mon ami.~
END

// romanced, Branwen and PC talk before the choice

EXTEND_BOTTOM FINSOL01 27
IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) Global("O#BranRomanceActive","GLOBAL",2) Global("O#BranSolarPers","GLOBAL",0)~ DO ~SetGlobal("O#BranSolarPers","GLOBAL",1)~ EXTERN O#BRA25J O#BranSolarPers
END

CHAIN O#BRA25J O#BranSolarPers
~C'est fini, pas vrai? C'est le moment.~
END
++ ~Je ne veux pas te quitter, Branwen. Je t'aime.~ EXTERN O#BRA25J O#BranSolarPers1.1
++ ~Tu me manqueras, mais je veux voir les plans aussi.~ EXTERN O#BRA25J O#BranSolarPers1.1
++ ~Je ne sais vraiment pas quoi choisir.~ EXTERN O#BRA25J O#BranSolarPers1.1

CHAIN O#BRA25J O#BranSolarPers1.1
~Je ne sais pas quoi dire. C'est ton choix et seulement le tien. Mais je veux te dire ça : si tu restes, le monde sera nôtre. Nous voyagerons, rirons, roulerons des rois, défierons des assassins et ferons l'amour toute la nuit.~
= ~Peut-être nous poserons nous, peut-être pas. Mais je t'aime et je ne te quitterai jamais.~
= ~Souviens toi de ça avant de faire un choix. Je t'en prie.~
END
COPY_TRANS FINSOL01 27

// romanced, PC chooses to leave

EXTEND_BOTTOM FINSOL01 29
IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) Global("O#BranRomanceActive","GLOBAL",2) Global("O#BranSolarLeave","GLOBAL",0)~ DO ~SetGlobal("O#BranSolarLeave","GLOBAL",1)~ EXTERN O#BRA25J O#BranSolarLeave
END

EXTEND_BOTTOM FINSOL01 30
IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) Global("O#BranRomanceActive","GLOBAL",2) Global("O#BranSolarLeave","GLOBAL",0)~ DO ~SetGlobal("O#BranSolarLeave","GLOBAL",1)~ EXTERN O#BRA25J O#BranSolarLeave
END

EXTEND_BOTTOM FINSOL01 31
IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) Global("O#BranRomanceActive","GLOBAL",2) Global("O#BranSolarLeave","GLOBAL",0)~ DO ~SetGlobal("O#BranSolarLeave","GLOBAL",1)~ EXTERN O#BRA25J O#BranSolarLeave
END

CHAIN O#BRA25J O#BranSolarLeave
~Alors envole toi, mon amour. Vole haut et loin. Et je te regarderai d'en bas. Nos vies sont courtes, mais je me souviendrai de toi pour le restant de la mienne.~
END
COPY_TRANS FINSOL01 29

// romanced, PC chooses to stay

EXTEND_BOTTOM FINSOL01 32
IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) Global("O#BranRomanceActive","GLOBAL",2) Global("O#BranSolarStay","GLOBAL",0)~ DO ~SetGlobal("O#BranSolarStay","GLOBAL",1)~ EXTERN O#BRA25J O#BranSolarStay
END

CHAIN O#BRA25J O#BranSolarStay
~Je... quoi?~
END
++ ~Je t'ai dit que je t'aimais, pas vrai?~ EXTERN O#BRA25J O#BranSolarStay1.1
++ ~Je vais vivre ma vie en mortel. Avec toi.~ EXTERN O#BRA25J O#BranSolarStay1.1
++ ~Ca.~ EXTERN O#BRA25J O#BranSolarStay1.1

CHAIN O#BRA25J O#BranSolarStay1.1
~C'est le plus beau jour du monde. Et pour toujours.~
= ~J'exige un baiser. Un énorme baiser. Maintenant.~
= ~Je t'aime, mon amour mortel. La meilleure.~
COPY_TRANS FINSOL01 32

// Branwen's Gorion Wraith sequence.

EXTEND_BOTTOM HGWRA01 18
IF ~Global("O#BranRomanceActive","GLOBAL",2) InParty("O#Bran") See("O#Bran")~ EXTERN HGWRA01 O#BranWraith1
END

CHAIN HGWRA01 O#BranWraith1
~Qu'en est-il de la peine inévitable que tu feras ressentir à celle que tu aimes? La prêtresse que tu appelles Branwen.~
== O#BRA25J ~<CHARNAME> m'aime, et je suis heureuse avec lui.~
EXTERN HGWRA01 24

EXTEND_BOTTOM HGWRA01 24
IF ~Global("O#BranRomanceActive","GLOBAL",2)~ DO ~ClearAllActions() StartCutSceneMode() StartCutScene("O#BranG")~ EXIT
END

BEGIN O#BRANG 

CHAIN 
IF ~Global("O#BranWraithSpirit1","GLOBAL",0)~ THEN O#BRANG O#BranWraithSpirit1
~Ma petite fille. Tu as bien grandi, mais ta tête est vide!~
DO ~SetGlobal("O#BranWraithSpirit1","GLOBAL",1)~
== O#BRA25J ~G-grand-mère?~
== O#BRANG ~Je vois que ut ne portes toujours pas mes chaussettes en laine. Pas de lait chaud avant de dormir non plus. Et par dessus tout, tu couches un rejeton de Bhaal!~
== O#BRA25J ~C'est pas vrai!~
== O#BRANG ~Si!~
== O#BRA25J ~(Soupir) D'accord, c'est vrai.~
== O#BRANG ~Il va te condamner, tu sais. Te CONDAMNER. Et tu violeras, pilleras et massacreras avec lui, et des villes entières brûleront à cause de vous! Même si tu penses à porter mes chaussettes en laine, ce que tu ne feras pas!~
== O#BRA25J ~C'est... C'est pas vrai!~
END
++ ~Je ne suis pas un meurtrier! Enfin, peut-être un peu.~ EXTERN HGWRA01 25
++ ~Arrête, Gorion! Elle ne mérite pas ça!~ EXTERN HGWRA01 25
+ ~CheckStatGT(Player1,16,WIS)~ + ~C'est un mensonge, Branwen! Ne la crois pas!~ EXTERN HGWRA01 25
++ ~Assez! Je ne peux pas supporter que ça continue! Et des chaussettes en laine, ça gratte!~ EXTERN HGWRA01 25

// Branwen's talk after Gorion Wraith:

APPEND O#BRA25J

IF ~Global("O#BranWraithSpirit1","GLOBAL",2)~ w1
SAY ~Cet enfant de sa mère! Je veux le tuer à nouveau!~
++ ~Doucement, doucement, Branwen. Il est mort.~ + w1.1
++ ~D'accord, t'es la prêtresse.~ + w1.1
++ ~Je suis désolé qu'il t'ait causé tant de peine.~ + w1.1
END

IF ~~ w1.1
SAY ~(Branwen ricane tout à coup.) En fait, c'était pas mal de revoir ma grand-mère. Et elle avait raison, je ne porte pas de chaussettes chaudes alors que je devrais.~
= ~Mais cette horrible chose mort-vivante! Rah! Je suis bien content que ça soit enfin détruit.~
= ~Allons-y. Et merci.~
++ ~Y a vraiment pas de quoi.~ + w1.2
++ ~Merci pour quoi?~ + w1.3
END

IF ~~ w1.2
SAY ~J'espère qu'on va encore être cochons ce soir? Ce serait décevant que grand-mère ait tort.~
IF ~~ DO ~SetGlobal("O#BranWraithSpirit1","GLOBAL",3)~ EXIT
END

IF ~~ w1.3
SAY ~Pour punir ce salaud.~
IF ~~ + w1.2
END

END // For APPEND

// Various non-essential interjection for ToB.

I_C_T AMMERC02 1 O#BranSaemonMet11
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Enfin, je dirais. Si tu as besoin d'un couteau, je suis prêt à t'en louer un.~
END 

I_C_T BAZDRA01 0 O#BranDrakonis1
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Draconis, hein? T'es pas un dragon, garçon. Ecarte toi si tu veux vivre.~
END

I_C_T SARMEL01 56 O#BranSARMEL0156
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Et quel intérêt y trouves-tu, la vieille?~
END

I_C_T SARMEL01 40 O#BranMelissanYagaTemple1
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Ou peut-être l'es-tu. <CHARNAME> n'a rien à craindre d'une grosse rousse dans un caleçon trop petit.~
END

I_C_T SARMEL01 63 O#BranMelissanGiantDead1
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Tu es revenue de Saradush? Il s'est passé quoi là-bas?~
END

I_C_T SARKIS01 4 O#BranSARKIS014
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Hein?~
END

I_C_T HGNYA01 6 O#BranHGNYA016
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~J'attends <CHARNAME>. Comme à peu près... euh, toujours. Pourquoi je suis pas surprise?~
END

I_C_T SENGUA03 1 O#BranSENGUA03
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Enfin, un combat honorable! J'attends ça depuis trop longtemps!~
END

I_C_T BALTH 6 O#BranBalth6
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Il nous aide, mais il s'en moque de nous. Ha. Est-ce que les enfants de Bhaal sont ses ennemis aussi?~
END

I_C_T BALTH 17 O#BranBalth17
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID)~ THEN ~Uh-huh. Ca veut dire qu'on a un nouvel ennemi? Ahh, oublie ça, elle est grillée.~
END

// Watcher's Keep interjections are tricky. If we're visiting it in SoA, we should have interjections with Branwen's SoA dialogue file, and in ToB - with ToB one. Fortunately, we can do both, we just need to check if Chapter>7 for ToB.

// Watcher's Keep interjections, ToB

I_C_T GORPOL1 1 O#BranMetKnightsOfTheVigil1
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalGT("Chapter","GLOBAL",7)~ THEN ~Ca doit sûrement faire jaser dans vos rangs.~
END

I_C_T GORCHR 2 O#BranChromaticDemon2
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalGT("Chapter","GLOBAL",7)~ THEN ~Et, bien sûr, tu brûles d'impatience de nous donner la clé. Ou pas.~
END

I_C_T GORIMP01 4 O#BranImpDeadWizards1
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalGT("Chapter","GLOBAL",7)~ THEN ~T'as pas l'air très concerné, nain.~
END

I_C_T GORCAMB 9 O#BranCambion9
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalGT("Chapter","GLOBAL",7)~ THEN ~Mais tu pourrais essayer et te tirer de là, non?~
END

I_C_T GORDEMO 1 O#BranImprisonedOneMet1
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalGT("Chapter","GLOBAL",7)~ THEN ~Je sens comme une présence étrangère ici. Ne lui fais pas confiance. Je doute que ces menottes soient là pour rien.~
END

I_C_T GORODR1 35 O#BranOdrenFoolishness1
== O#BRA25J IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalGT("Chapter","GLOBAL",7)~ THEN ~Tu nous as trahi! <CHARNAME>, si tu veux continuer à tuer ces misérables, tu n'as qu'à le dire.~
END

// Same lines, different dialogue file - O#BRANJ, if Chapter<8(SoA). We're compiling all Watcher's Keep interjection in this ToB file, so all of them are together here.

// Watcher's Keep interjections, SoA

I_C_T GORPOL1 1 O#BranMetKnightsOfTheVigil1
== O#BRANJ IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalLT("Chapter","GLOBAL",8)~ THEN ~Ca doit sûrement faire jaser dans vos rangs.~
END

I_C_T GORCHR 2 O#BranChromaticDemon2
== O#BRANJ IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalLT("Chapter","GLOBAL",8)~ THEN ~Et, bien sûr, tu brûles d'impatience de nous donner la clé. Ou pas.~
END

I_C_T GORIMP01 4 O#BranImpDeadWizards1
== O#BRANJ IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalLT("Chapter","GLOBAL",8)~ THEN ~T'as pas l'air très concerné, nain.~
END

I_C_T GORCAMB 9 O#BranCambion9
== O#BRANJ IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalLT("Chapter","GLOBAL",8)~ THEN ~Mais tu pourrais essayer et te tirer de là, non?~
END

I_C_T GORDEMO 1 O#BranImprisonedOneMet1
== O#BRANJ IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalLT("Chapter","GLOBAL",8)~ THEN ~Je sens comme une présence étrangère ici. Ne lui fais pas confiance. Je doute que ces menottes soient là pour rien.~
END

I_C_T GORODR1 35 O#BranOdrenFoolishness1
== O#BRANJ IF ~InParty("O#Bran") InMyArea("O#Bran") !StateCheck("O#Bran",CD_STATE_NOTVALID) GlobalLT("Chapter","GLOBAL",8)~ THEN ~Tu nous as trahi! <CHARNAME>, si tu veux continuer à tuer ces misérables, tu n'as qu'à le dire.~
END

APPEND O#BRA25J

// ToB talks - these trigger if Branwen is your friend and if Branwen is romanced. If she is romanced, music plays.

// ToB Talk 1.

IF ~Global("O#BranTalkToB","GLOBAL",2)~ b1
SAY ~Et nous voilà, jouant le jeu de demi-dieux. As-tu déjà voulu ça, <CHARNAME>?~
++ ~Bien sûr. Ca signifie ma vitoire ; et mon ascencion.~ + b1.1
++ ~Je ne sais pas. Peut-être après ça, je serai libre.~ + b1.2
++ ~Non. Jamais. J'ai l'impression d'être une pièce d'échec.~ + b1.3
++ ~C'était inévitable. Alaundo avait prédit ces événements, tu sais.~ + b1.3
++ ~Parlons plus tard.~ + b.0
END

IF ~~ b.0
SAY ~Comme tu veux.~
IF ~~ DO ~IncrementGlobal("O#BranTalkToB","GLOBAL",1)
RealSetGlobalTimer("O#BranTimerToB","GLOBAL",3600)~ EXIT
END

IF ~~ b1.1
SAY ~Tu veux le pouvoir et je ne sais pas quoi, mais je n'y compterai pas. On dirait que ce Solaire est au pouvoir. Pas toi.~
IF ~~ + b1.3
END

IF ~~ b1.2
SAY ~Ou mort. Ca arrive pas mal pendant les guerres aussi.~
IF ~~ + b1.3
END

IF ~~ b1.3
SAY ~Ca me laisse un goût amer. Utilisés comme des marionnettes, bougeant au moindre caprice de Solaire... Bah.~
= ~J'ai prié Tempus, mais n'ai reçu qu'une chaleur aveugle en retour. Peu importe ses raisons, mon Seigneur des Batailles ne répond pas.~
= ~Argh, Je plongerais volontiers mes ongles profondément dans le visage parfait de Solaire, si je pouvais. Cette salope! Laisse la mener ses propres guerres et laisse nous tranquilles. Si tu voulais te battre avec ta famille, tu l'aurais fait il y a des années.~
++ ~Je ne les connaissais pas il y a quelques années, Branwen.~ + b1.4
++ ~Solaire est en train de m'aider. Elle m'a donné un petit plan et m'a envoyé à Saradush.~ + b1.5
++ ~Je ne l'aime pas non plus. Trop arrogant pour moi.~ + b1.6
++ ~Peut-être qu'elle n'est pas si immortel...~ + b1.7
END

IF ~~ b1.4
SAY ~Vrai... Et pourtant ce méchant bleu m'ennuie profondément.~ 
IF ~~ + b1.8
END

IF ~~ b1.5
SAY ~Pour progresser dans ses objectifs, non? Elle n'est pas humaine, et elle ne doit avoir aucun intérêt pour toi... ou ton échec.~ 
IF ~~ + b1.8
END

IF ~~ b1.6
SAY ~Et trop bleue. Même si j'aime bien ses ailes. Une belle paire.~ 
IF ~~ + b1.8
END

IF ~~ b1.7
SAY ~Ha! J'aime bien la manière dont tu penses.~
IF ~~ + b1.8
END

IF ~~ b1.8
SAY ~Maintenant regarde moi. Se plaignant comme une poissonnière, et pour quoi?~
= ~Ca n'a aucun sens. On a battu Irenicus, on a sauvé une ville elfe entière, et on est là, amis et compagnons jusqu'au bout. "Ca" c'est ce qui compte.~
++ ~C'est bien vrai.~ + b1.9
+ ~Global("O#BranRomanceActive","GLOBAL",2)~ + ~Bien plus que des camarades, Branwen.~ + b1.9
++ ~Non, t'as raison. Ce solaire est agréable à regarder.~ + b1.10
END

IF ~~ b1.9
SAY ~C'est un plaisir d'être avec toi. Marchant, rigolant... et même se plaignant. Je voulais juste dire ça.~
= ~Allez, que l'aventure commence!~
IF ~~ DO ~IncrementGlobal("O#BranTalkToB","GLOBAL",1)
RealSetGlobalTimer("O#BranTimerToB","GLOBAL",3600)~ EXIT
END

IF ~~ b1.10
SAY ~Elle mérite une bonne fessée divine. Mais assez parlé d'elle.~
IF ~~ + b1.9
END

// ToB Talk 2.

IF ~Global("O#BranTalkToB","GLOBAL",4)~ b2
SAY ~J'aimerais bien qu'on achète un bateau. Un vaisseau, peut-être. Ou peut-être qu'on devrait le louer plutôt?~
++ ~De quoi tu parles?~ + b2.1
++ ~Un voyage en bateau? Je suis intéressé.~ + b2.1
++ ~Pas maintenant, Branwen.~ + b.0
END

IF ~~ b2.1
SAY ~Ah, c'est un de mes vieux rêves de voyager autour du monde. Mais plus je pense surtout à m'échapper d'ici.~
= ~Une fois fini... on gagnera. On doit gagner. Mais le général d'une armée conquérante est souvent mal reçu dans un pays déchiré par la guerre.~
++ ~Alors, tu souhaites m'offrir un bateau pour sortir d'ici?~ + b2.4
++ ~Et si tu avais tort? J'étais bien acueilli à Suldanessellar, pourquoi je ne le serais pas à Téthyr?~ + b2.2
++ ~On pourrait aussi perdre.~ + b2.3
END

IF ~~ b2.2
SAY ~La reine Ellesime était assez pressée de se débarasser de toi, n'est-ce pas? Par Tempus, je jurerais que c'était le cas.~
IF ~~ + b2.4
END

IF ~~ b2.3
SAY ~Dans les rêves de nos ennemis. Il souhaite sans doute être invencibles, <CHARNAME>, mais ils ne sont rien comparé à toi.~
IF ~~ + b2.4
END

IF ~~ b2.4
SAY ~Crois en une prêtresse de Tempus, ce n'est pas très sage d'abuser de l'hospitalité quand une guerre est finie. Tous les blessés, les pleureuses, toutes celles qui ont perdu mari, fils et maisons... ils se retourneront contre toi en un instant.~
= ~Et le feu brûle vite.~
= ~Mais dans d'autres terres, tu seras accueilli comme un héros et ta carrière décollera. Pendant ce temps, Téthyr guérira ses blessures et un jour les mêmes personnes vont chanter des prières pour ton retour. Tu verras.~
++ ~Un plan assez sage.~ + b2.5
++ ~Voyager à nouveau? Je veux me poser.~ + b2.5a
++ ~Un point de vue intéressant.~ + b2.5
++ ~Attendons et voyons comment ça finit d'abord.~ + b2.5
END

IF ~~ b2.5a
SAY ~Moi aussi, parfois. Mais on ne peut pas toujours avoir ce que l'on souhaite.~
IF ~~ + b2.5
END

IF ~~ b2.5
SAY ~Cette aventure me manquera, tu sais. La sombre prophétie, la guerre... même les feux. Vraiment, parfois je ne suis pas sûr d'être faite pour la paix.~
+ ~Global("O#BranRomanceActive","GLOBAL",2)~ + ~Tu es faite pour moi, et c'est tout ce dont j'ai besoin.~ + b2.6
++ ~Parfois je pense que c'est vrai pour moi aussi.~ + b2.7
++ ~On va devoir attendre de voir, pas vrai?~ + b2.7
END

IF ~~ b2.6
SAY ~Flatteur. Mais tu es "mon" flatteur, et c'est tout ce qu'il me faut.~
IF ~~ DO ~IncrementGlobal("O#BranTalkToB","GLOBAL",1)
RealSetGlobalTimer("O#BranTimerToB","GLOBAL",3600)~ EXIT
END

IF ~~ b2.7
SAY ~Sans aucun doute. Et le futur n'est pas si éloigné.~
IF ~~ DO ~IncrementGlobal("O#BranTalkToB","GLOBAL",1)
RealSetGlobalTimer("O#BranTimerToB","GLOBAL",3600)~ EXIT
END

// ToB talk 3.

IF ~Global("O#BranTalkToB","GLOBAL",6)~ b3
SAY ~C'est bizarre d'être aussi puissant. Invoquer la lumière du soleil dans la nuit, envoyer des vampires dans oblivion d'une simple pensée et avoir un prince élémentaire à ma disposition.~
++ ~Ca met les choses en perspective, hein?~ + b3.1
++ ~Je trouve ça marrant, moi.~ + b3.1
++ ~De grands pouvoirs impliquent de grandes responsabilités.~ + b3.1
++ ~Parlons en une autre fois, Branwen.~ + b.0
END

IF ~~ b3.1
SAY ~Je viens de réaliser que je ne serai plus jamais capable de travailler avec une milice urbaine ou des mercaines. Les diriger, peut-être. Ou donner des ordres à ceux qui les dirigent, plutôt.~
= ~Plus de déambulation sur les routes pour moi. Ou la chasse aux bandits et le sauvetage de paysans. Je "pourrais" le faire, j'imagine, mais sachant qu'autre part un simple mot de ma part pourrais arrêter une guerre... ou en commencer une...~
= ~Ca me rend un peu triste. Cette vie simple que l'on a perdue.~
++ ~Mais on a tant gagné.~ + b3.2
++ ~Je comprends ce que tu dis. A cette époque, n'importe quel ogre pouvait nous tuer et un simple diamant était au-delà de nos rêves.~ + b3.2
++ ~Nous n'avons pas tout perdu. Tu peux toujours faire une pause dans tes grandes croisades et jouer à prétendre être à Beregost à nouveau.~ + b3.2
END

IF ~~ b3.2
SAY ~Ahhh, ça ne sert à rien de marmonner. On peut toujours marcher sur les routes mais cette fois-ci, nous combattrons des liches et leurs armées, des rois corrompus et leurs complots, des dragons et leurs vastes hordes et serviteurs! Et, par Tempus, je rigolerai de quiconque dirait que c'est pire!~
++ ~C'est la Branwen qu'on connaît et qu'on aime. Bon retour.~ + b3.3
++ ~Je ne sais pas. Tuer des gobelins a son charme.~ + b3.3
++ ~Tu marques un point.~ + b3.3
END

IF ~~ b3.3
SAY ~Tu sais, quand ce sera fini, cette aventure me manquera sans doute aussi.Et les amis de mes petits enfants m'entendront me plaindre de ne plus pouvoir rencontrer de vrais ennemis comme des géants ou des demi-liches.~
= ~Ceci dit, cette aventure n'est pas encore finie, alors continuons!~
IF ~~ DO ~IncrementGlobal("O#BranTalkToB","GLOBAL",1)
RealSetGlobalTimer("O#BranTimerToB","GLOBAL",3600)~ EXIT
IF ~Global("O#BranRomanceActive","GLOBAL",2)~ DO ~IncrementGlobal("O#BranTalkToB","GLOBAL",1)
RealSetGlobalTimer("O#BranTimerToB","GLOBAL",3600)~ + b3.4
END

IF ~~ b3.4
SAY ~Enfin, une fois que je t'aurai embrassé.~
= ~Mmm... oui, c'est bien mieux comme ça.~
IF ~~ EXIT
END

// ToB talk 4.

IF ~Global("O#BranTalkToB","GLOBAL",8)~ b4
SAY ~Ton père doit se retourner dans sa tombe. Il voulait renaître dans la mort de ses enfants, pas vrai?~
++ ~Et ils continuent de mourir. Oui, tu as raison.~ + b4.1
++ ~Bhaal est mort. Il faudra un peu plus que quelques morts pour le ressuciter.~ + b4.1
++ ~Je ne pense pas qu'il revienne un jour.~ + b4.1
++ ~Branwen, je ne suis pas d'humeur à discuter de Bhaal.~ + b.0
END

IF ~~ b4.1
SAY ~Ce serait dur, mais si quelqu'un le voulait, il pourrait le faire revenir... Je pense. Ses prêtres sont toujours là, non?~
= ~Bhaal était un vrai salaud, mais pas aussi fou que son sois-disant héritier Cyric. Quelqu'un doit faire le sale boulot et si ton père revient, tu seras libre de son héritage. Pas une mauvaise idée, hein?~
++ ~Tu oublies juste un détail. Si Bhaal revient, il aura besoin de mon essence, comme Irenicus l'a fait.~ + b4.2
++ ~Et si je prenais la place de Cyric plutôt?~ + b4.3
++ ~Faire revenir Bhaal? Non. Jamais.~ + b4.4
++ ~Pourquoi pas? Les choses ne peuvent pas être pire que maintenant, si?~ + b4.5
END

IF ~~ b4.2
SAY ~Ouais, dommage que tu ne puisses pas t'en débarasser.~
IF ~~ + b4.6
END

IF ~~ b4.3
SAY ~Ah oui? Avoir affaire à des fantômes et des squelettes tout le temps et ne jamais quitter les Abysses? Urk.~
IF ~~ + b4.6
END

IF ~~ b4.4
SAY ~Oh, t'es vraiment pas marrant!~
IF ~~ + b4.6
END

IF ~~ b4.5
SAY ~<CHARNAME>, les aventuriers ne disent jamais ce genre de choses, parce que les choses pour "toujours" devenir pire. C'est la première loi de l'aventure.~
= ~Ou alors tu me taquinais, petit malin?~
IF ~~ + b4.6
END

IF ~~ b4.6
SAY ~Enfin bref, j'ai juste l'impression que nous suivons une route que quelqu'un nous a tracé et qu'on ne peut s'en détourner. Et continuer me fait me sentir rebelle. J'aimerais faire quelque chose, n'importe quoi, pour faire dévier cette voie.~
++ ~Et la victoire?~ + b4.7
++ ~Ben, ressuciter Bhaal est une mauvaise idée capitale.~ + b4.8
++ ~We will. Just you wait.~ + b4.9
END

IF ~~ b4.7
SAY ~(Rires) Bonne idée.~
IF ~~ + b4.9
END

IF ~~ b4.8
SAY ~Ouais, peut-être. Il n'était pas un père parfait, c'est sûr.~
IF ~~ + b4.9
END

IF ~~ b4.9
SAY ~Ne tient pas compte de mes soucis. Je crois en toi, <CHARNAME>. Mais tu le sais, ça.~
IF ~~ DO ~IncrementGlobal("O#BranTalkToB","GLOBAL",1)
RealSetGlobalTimer("O#BranTimerToB","GLOBAL",3600)~ EXIT
END

// ToB talk 5.

IF ~Global("O#BranTalkToB","GLOBAL",10)~ b5
SAY ~Bientôt, notre travail sera terminé ici. Que penses-tu d'une autre aventure quelque part à l'Est? Ou au Nord? Au Sur? Même à l'Ouest... Même si ça nous amène à nouveau à la Côte des Epées. Mais le monde est vaste.~
+ ~!Global("O#BranRomanceActive","GLOBAL",2)~ + ~Tu me proposes de continuer l'aventure ensemble?~ + b5.1
+ ~Global("O#BranRomanceActive","GLOBAL",2)~ + ~Tu me proposes de continuer l'aventure ensemble?~ + b5.2
++ ~Branwen, parlons plus tard.~ + b.0
END

IF ~~ b5.1
SAY ~Si tu as d'autres plans, ce serait idiot de ma part d'insister. Mais si tu veux que l'on continue tous ensemble, marteau à la main et sac de couchage sur le dos, alors, oui, <CHARNAME>. Je n'arrive pas à imaginer un autre endroit où je voudrais être.~
++ ~D'accord. Si on continue l'aventure, tu seras à mes côtés.~ + b5.1a
++ ~Je ne peux rien promettre, Branwen. Mais je vais y penser.~ + b5.1b
++ ~En fait, j'amerais prendre ma retraite. Au moins pour un temps.~ + b5.1c
++ ~J'aimerais plutôt passer du temps avec mon amour.~ + b5.1c
END

IF ~~ b5.1a
SAY ~Ouiii! Par les caleçons sacrés de Tempus, oui!~
IF ~~ + b5.3
END

IF ~~ b5.1b
SAY ~Merci. C'est tout ce que je demande.~
IF ~~ + b5.3
END

IF ~~ b5.1c
SAY ~Je comprends. Bon, si certains de nos amis veulent toujours voyager, je me joindrai volontiers à eux. Et tu seras impatiemment attendu.~
IF ~~ + b5.3
END

IF ~~ b5.2
SAY ~C'est la meilleure chose qui pouvait m'arriver. Te rencontrer, barouder avec toi. Tu crois vraiment que j'aurais envie de te quitter?~
++ ~Je ne voudrai pas non plus te quitter.~ + b5.2a
++ ~Pourquoi ne pas se poser et avoir des enfants?~ + b5.2b
++ ~Les gens changent, leurs sentiments aussi.~ + b5.2c
END

IF ~~ b5.2a
SAY ~Nous sommes de jolis tourtereaux, pas vrai? Juste très bien armés.~
IF ~~ + b5.3
END

IF ~~ b5.2b
SAY ~Peut-être, si tu veux. Je ne suis pas sûre de vouloir laisser des enfants trop jeunes nous suivre dans nos aventures, même si je ne doute pas que les gobelins et les orcs trembleront de peur devant leurs berceaux.~
IF ~~ + b5.3
END

IF ~~ b5.2c
SAY ~Pas les miens. Jamais les miens.~
IF ~~ + b5.3
END

IF ~~ b5.3
SAY ~On va être heureux. Que ce soit juste nous deux ou dans un groupe de guerriers, séparés de plusieurs kilomètres ou buvant ensemble, nous allons vivre de longues, joyeuses et extraordinaires vies. Promets-moi que nous le ferons, <CHARNAME>. Promets-moi..~
++ ~Je te le promets, Branwen.~ + b5.5
++ ~Je n'ai pas besoin de promettre. C'est évident.~ + b5.4
++ ~Qui sait? Mais j'aimerais que nos vies tournent comme ça.~ + b5.5
++ ~On verra.~ + b5.5
END

IF ~~ b5.4
SAY ~N'est-ce pas? Mais nos vies ont été extraordinaires en même temps. Malgré toutes les parts d'ombre.~ 
IF ~~ + b5.5
END

IF ~~ b5.5
SAY ~La bataille finale pour ton héritage s'approche de jour en jour. Tu as probablement besoin de réfléchir, de te préparer, donc je ne te pertuberai pas.~
= ~Sache juste que tu pourras toujours te tourner vers moi dès que tu en as besoin.~
IF ~~ DO ~IncrementGlobal("O#BranTalkToB","GLOBAL",1)~ EXIT // last talk, so no need for a timer
END

// ToB, Saradush, at waking up - Branwen's romanced lovetalk(all romances have them)

IF ~Global("O#BranSaradush","GLOBAL",1)~ b6
SAY ~Il est tard, mais je ne parviens pas à dormir. Saradush.. ils sont tous morts, c'est ça?~
++ ~Ouais.~ + b6.2
++ ~Tellement de morts... Je n'arrive pas à dormir non plus.~ + b6.2
++ ~C'est la guerre. Des gens meurent, et parfois, des villes sont pillées.~ + b6.1
++ ~Je préfère ne pas y penser. Dormons encore un peu.~ + b6.0
END

IF ~~ b6.0
SAY ~Dors bien, mon amour.~
IF ~~ DO ~SetGlobal("O#BranSaradush","GLOBAL",2) RestParty()~ EXIT
END

IF ~~ b6.1
SAY ~Ouais, on s'y attend durant une guerre. Mais, était-ce vraiment une guerre? Un massacre, plutôt.~
IF ~~ + b6.2
END

IF ~~ b6.2
SAY ~J'aimerais revenir en arrière et alerter ces gens. Les amener dans ton plan, un par un, ou les faire s'échapper des murs de la ville.~
= ~Ou détruire l'armée de Yaga-Shura et combattre le géant solitaire près des murs. Invulnérable ou non, il serait enterré sous une pile de gravats puants assez rapidement.~
= ~C'est impossible, je sais. Je rêve juste. Mais de savoir que tous ces gens à qui j'ai parlé et avec lesquels j'ai ri ou auxquels j'ai acheté du pain... sont morts...~
= ~Non, je ne devrais pas te maintenir éveillé. Repose-toi, <CHARNAME>. Tu en as besoin.~
++ ~Merci, Branwen. Bonne nuit.~ + b6.0
++ ~Je veux bien t'écouter, si tu as besoin de parler.~ + b6.3
END

IF ~~ b6.3
SAY ~Te parler est toujours un plaisir, c'est vrai... mais pas ce soir. Ces gens sont morts ; les mots ne peuvent pas les ramener.~
= ~Mais je suis honteusement, inacceptablement soulagé que tu sois sain et sauf. J'avais peur que l'oracle nous ait menti et que Yaga-Shura était toujours aussi fort. Par Tempus, j'étais si heureuse quand j'ai appris que j'avais tort!~
= ~Ecoute moi. J'ai beau être un guerrier, je m'inquiète tel une femme. Et toi... presque un dieu, mais tu saignes comme un homme. Qui sommes-nous, <CHARNAME>?~
++ ~Des amants. Dors, Branwen, une longue journée nous attend demain.~ + b6.0
++ ~Juste <CHARNAME> et Branwen.~ + b6.4
++ ~Un futur dieu et sa loyale prêtresse.~ + b6.4
++ ~Je ne sais pas.~ + b6.5
END

IF ~~ b6.4
SAY ~Vraiment?~
IF ~~ + b6.5
END

IF ~~ b6.5
SAY ~Mais il est grand temps que nous dormions. Je prierai pour le peuple de Saradush demain matin, quand les larmes couleront moins facilement.~
= ~Tu veux dormir un peu plus? Ou doit-on déjà se réveiller?~
++ ~Dormons un peu plus.~ + b6.0
++ ~Non, il est l'heure d'y aller.~ + b6.6
END

IF ~~ b6.6
SAY ~Comme tu veux.~
IF ~~ DO ~SetGlobal("O#BranSaradush","GLOBAL",2)~ EXIT
END

// ToB challenge 3: innocence.

IF ~Global("O#BranChallenge3","GLOBAL",1)~ b7
SAY ~Solaire continue de te faire trimer, hein? Tu veux qu'on parle de ta dernière épreuve?~
++ ~On m'a offert mon doute et mon innocence. Pour retourner à mon moi passé.~ + b7.1
++ ~C'était à propos de retourner à mes racines, de perdre ma mémoire et mon expérience, de redevenir celui que j'avais été, avant que je te connaisse.~ + b7.1
++ ~Non, ça va aller.~ + b7.0
END

IF ~~ b7.0
SAY ~Comme tu veux.~
IF ~~ DO ~SetGlobal("O#BranChallenge3","GLOBAL",2)~ EXIT 
END

IF ~~ b7.1
SAY ~On t'a offert la mort, c'est ça? La suppression de ta mémoire... c'est un peu mourir, non? La personne que tu es n'est plus, remplacée par la personne que tu as été.~
= ~Je suis contente que tu aies refusé. Vraiment, j'aime plutôt bien la personne que tu es.~
++ ~Moi aussi, aussi bizarre que ça puisse paraître.~ + b7.2
++ ~En fait, on m'a pas vraiment demandé mon avis. L'esprit s'attendait à ce que je refuse.~ + b7.2
++ ~Le plus marrant est arrivé à la fin, quand l'esprit s'est  transformé en Ecorcheur. On dirait qu'il n'y a plus ni doute ni innocence pour moi.~ + b7.2
END

IF ~~ b7.2
SAY ~Aucun moyen de revenir en arrière, hein? On ne peut qu'avancer. Peut-être que c'est ça que l'esprit du défi a essayé de te montrer.~
= ~Je suis Tempus et ses principes, mais le monde spirituel m'est étranger. J'ai toujours détesté ses énigmes. Tout ce que je connais c'est mon marteau et mes amis et ils ne m'ont jamais trahi.~
= ~J'aimerais que tu puisses demande à Solaire, mais elle ne répond qu'à ce qu'elle veut, c'est ça? Je suis pour qu'on lui donne un bain de glace, comme font les barbares Rashemi en accueillant les nouveaux arrivants dans leur loge. Je suis sûre qu'elle apprécierait.~
++ ~Bonne idée. Tu tiens ses jambes, je prends les ailes.~ + b7.3
++ ~Un autre défi comme celui-ci et on se la fait.~ + b7.3
++ ~N'énervons pas Solaire. Rappelle-toi, elle peut nous renvoyer... oh, mais attend.~ + b7.3
END

IF ~~ b7.3
SAY ~(Branwen snickers.)~
= ~On ne s'ennuie jamais avec toi, <CHARNAME>. Je t'aime pour cette raison là.~
IF ~~ DO ~SetGlobal("O#BranChallenge3","GLOBAL",2)~ EXIT 
END

// ToB, the last night, lovetalk only. Triggers at rest when the last of the Five(BALTH) is dead.

IF ~Global("O#BranLastNight","GLOBAL",1)~ b8
SAY ~Hey, tu t'asseois avec moi un petit peu?~
++ ~Bien sûr.~ + b8.1
++ ~Branwen, j'ai sommeil.~ + b8.1
++ ~Peut-être une autre fois.~ + b8.1
END

IF ~~ b8.0
SAY ~Bien sûr mon amour. Dors bien.~
IF ~~ DO ~SetGlobal("O#BranLastNight","GLOBAL",2) RestParty()~ EXIT
END

IF ~~ b8.1
SAY ~C'est la dernière fois que l'on s'asseoit comme ça autour d'un feu. Demain, on pourrait être très loin sur le mont Celestia... ou dans les Abysses, pour autant que j'en sache.~
= ~Reste avec moi ce soir. Faisons-en une nuit dont on se souviendra.~
++ ~Bien sûr. Mais je ne vais nulle part.~ + b8.2
++ ~Je suis tout à fait pour.~ + b8.2
++ ~Si tu y tiens...~ + b8.2
++ ~Non, j'aimerais vraiment dormir.~ + b8.0
END

IF ~~ b8.2
SAY ~Je ne sais pas ce qu'il va se passer quand Solaire apparaîtra devant nous pour la dernière fois. Je ne sais pas si Melissane va tenter de devenir un dieu ou pas. Peu importe ce soir.~
= ~Il n'y a qu'une femme et un homme. Toi et moi. Notre passé, notre futur, notre présent.~
= ~Ne fais pas attention aux ombres. Aime moi juste comme tu le fais toujours.~
++ ~D'accord...~ + b8.3
++ ~Viens à moi...~ + b8.3
++ ~Non, j'ai changé d'avis. Pas ce soir.~ + b8.0
END

IF ~~ b8.3
SAY ~Je suis toute à toi...~
IF ~~ DO ~SetGlobal("O#BranLastNight","GLOBAL",2) RestParty()~ EXIT
END

// ToB, final challenge, killing the Ravager, romance only

IF ~Global("O#BranChallenge5","GLOBAL",1)~ b9
SAY ~(Branwen vous embrasse fougueusement sans prévenir.)~
= ~Peu importe ce qui arrivera... Peu importe ce qui se passera... Je t'aimerai toujours.~
= ~Ce n'est pas un adieu, mon amour. Juste un rappel.~
IF ~~ DO ~SetGlobal("O#BranChallenge5","GLOBAL",2)~ EXIT
END

// Branwen-initiated flirts

// Flirts for Branwen, O#BranRomanceActive=2

IF ~Global("O#BranFlirtToB","GLOBAL",1) Global("O#BranRomanceActive","GLOBAL",2)~ flirt3
SAY ~(Branwen vous sourit chaleureusement.)~ [O#BRAN00]
IF ~Global("O#BranFlirtCounter3","GLOBAL",0)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f1
IF ~Global("O#BranFlirtCounter3","GLOBAL",1)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f2
IF ~Global("O#BranFlirtCounter3","GLOBAL",2)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f3
IF ~Global("O#BranFlirtCounter3","GLOBAL",3)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f4
IF ~Global("O#BranFlirtCounter3","GLOBAL",4)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f5
IF ~Global("O#BranFlirtCounter3","GLOBAL",5)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f6
IF ~Global("O#BranFlirtCounter3","GLOBAL",6)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f7
IF ~Global("O#BranFlirtCounter3","GLOBAL",7)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f8
IF ~Global("O#BranFlirtCounter3","GLOBAL",8)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f9
IF ~Global("O#BranFlirtCounter3","GLOBAL",9)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f10
IF ~Global("O#BranFlirtCounter3","GLOBAL",10)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f11
IF ~Global("O#BranFlirtCounter3","GLOBAL",11)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f12
IF ~Global("O#BranFlirtCounter3","GLOBAL",12)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f13
IF ~Global("O#BranFlirtCounter3","GLOBAL",13)~ DO ~IncrementGlobal("O#BranFlirtCounter3","GLOBAL",1)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f14
IF ~Global("O#BranFlirtCounter3","GLOBAL",14)~ DO ~SetGlobal("O#BranFlirtCounter3","GLOBAL",0)
RealSetGlobalTimer("O#BranFlirtTimerToB","GLOBAL",2500) SetGlobal("O#BranFlirtToB","GLOBAL",0)~ + f15
END

IF ~~ f1
SAY ~Au petit matin, tu seras épuisé.~
= ~De bien belle manière.~
IF ~~ EXIT
END

IF ~~ f2
SAY ~J'apprécie les repas que nous prenons ensemble. Par Tempus, je pourrais même devenir une bonne cuisinière!~
= ~Haha! Je déconne.~
IF ~~ EXIT
END

IF ~~ f3
SAY ~(Branwen vous carresse l'épaule pensivement.) J'aime bien faire ça. Si seulement tu étais nu...~
IF ~~ EXIT
END

IF ~~ f4
SAY ~J'aime bien imaginer nos futurs voyages. Les nuits sous le ciel étoilé... avec toi...~
= ~Ahem. Je ferais mieux de repnser à la route qu'il nous reste à faire.~
IF ~~ EXIT
END

IF ~~ f5
SAY ~(Branwen vous donne un baiser furtif et sourit.)~
IF ~~ EXIT
END

IF ~~ f6
SAY ~Par Tempus, je n'ai jamais imaginé... Je n'ai juste jamais imaginé.~
= ~(Elle vous jette un regard brillant.)~
IF ~~ EXIT
END

IF ~~ f7
SAY ~(Branwen tend son bras et vous marchez main dans la main durant un moment.)~
IF ~~ EXIT
END

IF ~~ f8
SAY ~Hey, toi. Tu veux bien m'embrasser pendant qu'on a une pause entre les groupes dennemis à tuer?~
= ~Ah, il y en a un autre. Salauds!~
IF ~~ EXIT
END

IF ~~ f9
SAY ~(Elle vous embrasse fougueusement, de tout son être.)~
IF ~~ EXIT
END

IF ~~ f10
SAY ~(Branwen chantonne. Tout doucement, presque timidement, mais finalement vous reconnaissez les mots.)~
= ~(Elle chante votre nom.)~
IF ~~ EXIT
END

IF ~~ f11
SAY ~Je crois que j'aimerais bien profiter d'un petit déjeuner au lit. Des oeufs, du pain, du miel et un grand verre de lait. Du bacon, aussi.~
= ~Et une grande part de toi.~
IF ~~ EXIT
END

IF ~~ f12
SAY ~Quand on aura tué la Main, je vais recommencer à piller. är Tempus, notre équipement doit être parfait!~
= ~Parce que nous sommes parfait. Et ce soir, nous allons nous ajuster... parfaitement.~
IF ~~ EXIT
END

IF ~~ f13
SAY ~J'aimerais beaucoup te montrer Loup de mer un jour. Nos îles sont souvent peu accueillantes avec un temps très peu clément, mais quand le soleil arrive, tout brille.~
IF ~~ EXIT
END

IF ~~ f14
SAY ~La fin est proche, c'est ça?~
= ~(Branwen se mord les lèvres.) Oh, ne fais pas attention. On y arrivera, je sais.~
IF ~~ EXIT
END

IF ~~ f15
SAY ~Je t'aime. Tous les jours.~
IF ~~ EXIT
END

// Player-initiated dialogue, ToB. Again, in the bottom of the file, and, again, no flirting for the final battle, AR6200.

IF ~IsGabber(Player1) AreaCheck("AR6200")~ PPID0
SAY ~<CHARNAME>, on n'a pas le temps pour ça! On doit aller chercher Mélissane!~
IF ~~ EXIT
END

IF ~IsGabber(Player1)~ PPID
SAY ~Que voulez-vous?~ [o#bran18]
+ ~RandomNum(3,1) Global("O#BranRomanceActive","GLOBAL",2)~ + ~(Embrasse Branwen)~ + p7.1
+ ~RandomNum(3,2) Global("O#BranRomanceActive","GLOBAL",2)~ + ~(Embrasse Branwen)~ + p7.2
+ ~RandomNum(3,3) Global("O#BranRomanceActive","GLOBAL",2)~ + ~(Embrasse Branwen)~ + p7.3
+ ~RandomNum(3,1) Global("O#BranRomanceActive","GLOBAL",2)~ + ~(Enlace Branwen)~ + p8.1
+ ~RandomNum(3,2) Global("O#BranRomanceActive","GLOBAL",2)~ + ~(Enlace Branwen)~ + p8.2
+ ~RandomNum(3,3) Global("O#BranRomanceActive","GLOBAL",2)~ + ~(Enlace Branwen)~ + p8.3
+ ~RandomNum(3,1) Global("O#BranRomanceActive","GLOBAL",2)~ + ~(Sourit à Branwen)~ + p9.1
+ ~RandomNum(3,2) Global("O#BranRomanceActive","GLOBAL",2)~ + ~(Sourit à Branwen)~ + p9.2
+ ~RandomNum(3,3) Global("O#BranRomanceActive","GLOBAL",2)~ + ~(Sourit à Branwen)~ + p9.3
+ ~RandomNum(3,1) Global("O#BranRomanceActive","GLOBAL",2)~ + ~Je t'aime, Branwen.~ + p10.1
+ ~RandomNum(3,2) Global("O#BranRomanceActive","GLOBAL",2)~ + ~Je t'aime, Branwen.~ + p10.2
+ ~RandomNum(3,3) Global("O#BranRomanceActive","GLOBAL",2)~ + ~Je t'aime, Branwen.~ + p10.3
+ ~RandomNum(3,1) Global("O#BranRomanceActive","GLOBAL",2)~ + ~Peu importe ce qu'on fera ce soir?~ + p11.1
+ ~RandomNum(3,2) Global("O#BranRomanceActive","GLOBAL",2)~ + ~Peu importe ce qu'on fera ce soir?~ + p11.2
+ ~RandomNum(3,3) Global("O#BranRomanceActive","GLOBAL",2)~ + ~Peu importe ce qu'on fera ce soir?~ + p11.3
+ ~RandomNum(3,1)~ + ~Les choses s'améliorent!~ + p0.1
+ ~RandomNum(3,2)~ + ~Les choses s'améliorent!~ + p0.2
+ ~RandomNum(3,3)~ + ~Les choses s'améliorent!~ + p0.3
+ ~RandomNum(3,1)~ + ~Ca va?~ + p1.1
+ ~RandomNum(3,2)~ + ~Ca va?~ + p1.2
+ ~RandomNum(3,3)~ + ~Ca va?~ + p1.3
+ ~RandomNum(3,1)~ + ~Est-ce que la porte de Baldur et Athkatla te manquent?~ + p2.1
+ ~RandomNum(3,2)~ + ~Est-ce que la porte de Baldur et Athkatla te manquent?~ + p2.2
+ ~RandomNum(3,3)~ + ~Est-ce que la porte de Baldur et Athkatla te manquent?~ + p2.3
+ ~RandomNum(3,1)~ + ~Ce voyage se finira bientôt.~ + p3.1
+ ~RandomNum(3,2)~ + ~Ce voyage se finira bientôt.~ + p3.2
+ ~RandomNum(3,3)~ + ~Ce voyage se finira bientôt.~ + p3.3
+ ~RandomNum(3,1)~ + ~Est-ce que Tempus approuve ton rôle là-dedans?~ + p4.1
+ ~RandomNum(3,2)~ + ~Est-ce que Tempus approuve ton rôle là-dedans?~ + p4.2
+ ~RandomNum(3,3)~ + ~Est-ce que Tempus approuve ton rôle là-dedans?~ + p4.3
+ ~RandomNum(3,1)~ + ~Merci de rester à mes côtés.~ + p5.1
+ ~RandomNum(3,2)~ + ~Merci de rester à mes côtés.~ + p5.2
+ ~RandomNum(3,3)~ + ~Merci de rester à mes côtés.~ + p5.3
+ ~RandomNum(3,1)~ + ~Allons botter des culs!~ + p6.1
+ ~RandomNum(3,2)~ + ~Allons botter des culs!~ + p6.2
+ ~RandomNum(3,3)~ + ~Allons botter des culs!~ + p6.3
+ ~Global("O#BranShutUp","GLOBAL",0)~ + ~J'aime bien nos conversations. mais j'aimerais avoir un peu de calme et de silence.~ DO ~SetGlobal("O#BranShutUp","GLOBAL",1)~ + again
+ ~Global("O#BranShutUp","GLOBAL",1)~ + ~Nos conversations me manquent. Peut-on discuter à nouveau?~ DO ~SetGlobal("O#BranShutUp","GLOBAL",0)~ + again
+ ~Global("O#BranRomanceActive","GLOBAL",2)~ + ~Je veux juste être ton amie.~ + breakup
++ ~Non, rien.~ EXIT
END

IF ~~ again
SAY ~Bien sûr, si tu veux.~
IF ~~ EXIT
END

IF ~~ breakup
SAY ~Oh, je... je vois. T'es sûr?~
++ ~Oui.~ + breakup2
++ ~Non, oublie ça.~ + again
END

IF ~~ breakup2
SAY ~<CHARNAME>, je...~
= ~Non, laisse tomber. C'est fini.~
IF ~~ DO ~SetGlobal("O#BranRomanceActive","GLOBAL",3)~ EXIT
END

IF ~~ p0.1
SAY ~En effet!~
IF ~~ EXIT
END

IF ~~ p0.2
SAY ~On va gagner. Sans aucun doute.~
IF ~~ EXIT
END

IF ~~ p0.3
SAY ~La Main? Ils ont déjà perdu.~
IF ~~ EXIT
END

IF ~~ p1.1
SAY ~Oh, bien! Merci de demander.~
IF ~~ EXIT
END

IF ~~ p1.2
SAY ~Plus ou moins. Je ne pense pas que nous utilision ces potions de soins de la bonne manière.~
IF ~~ EXIT
END

IF ~~ p1.3
SAY ~(Bâille) Un peu fatiguée.~
IF ~~ EXIT
END

IF ~~ p2.1
SAY ~Un peu. En fait, beaucoup.~
IF ~~ EXIT
END

IF ~~ p2.2
SAY ~C'était le bon temps, pas vrai? Mais c'est un bon moment maintenant aussi.~
IF ~~ EXIT
END

IF ~~ p2.3
SAY ~La porte de Baldur,surtout. Et Beregost.~
IF ~~ EXIT
END

IF ~~ p3.1
SAY ~Mais la route n'est jamais finie.~
IF ~~ EXIT
END

IF ~~ p3.2
SAY ~Pas pour nous. Notre voyage ne fait que commencer.~
IF ~~ EXIT
END

IF ~~ p3.3
SAY ~J'espère juste que ça ne se finira pas brutalement, comme dirait Xan.~
IF ~~ EXIT
END

IF ~~ p4.1
SAY ~Tu es important à mes yeux. Il le sait.~
IF ~~ EXIT
END

IF ~~ p4.2
SAY ~Je doute que Tempus puisse interférer. Mais je sais qu'il comprend.~
IF ~~ EXIT
END

IF ~~ p4.3
SAY ~Tant que nous nous conduisons avec honneur.~
IF ~~ EXIT
END

IF ~~ p5.1
SAY ~C'est un plaisir.~
IF ~~ EXIT
END

IF ~~ p5.2
SAY ~Je suis heureuse aussi.~
IF ~~ EXIT
END

IF ~~ p5.3
SAY ~Merci de me permettre de rester.~
IF ~~ EXIT
END

IF ~~ p6.1
SAY ~Allons-y!~
IF ~~ EXIT
END

IF ~~ p6.2
SAY ~Enfin! En avant!~
IF ~~ EXIT
END

IF ~~ p6.3
SAY ~Immédiatement!~
IF ~~ EXIT
END

IF ~~ p7.1
SAY ~Mmmm! Encore!~
IF ~~ EXIT
END

IF ~~ p7.2
SAY ~(Branwen se précipite pour vous embrasser à son tour.)~
IF ~~ EXIT
END

IF ~~ p7.3
SAY ~Mmm... tu es tellement appétissant!~
IF ~~ EXIT
END

IF ~~ p8.1
SAY ~(Branwen se blottit dans vos bras et soupire d'aise.)~
IF ~~ EXIT
END

IF ~~ p8.2
SAY ~(Branwen sourit en vous dévorant du regard.)~
IF ~~ EXIT
END

IF ~~ p8.3
SAY ~(Elle est chaude et souple dans vos bras, mais vous sentez par delà ça son indéflectible solidité.)~
IF ~~ EXIT
END

IF ~~ p9.1
SAY ~(Branwen vous jette un regard rieur.)~
IF ~~ EXIT
END

IF ~~ p9.2
SAY ~(Branwen vous fait un clin d'oeil.)~
IF ~~ EXIT
END

IF ~~ p9.3
SAY ~(Branwen rigole.)~
IF ~~ EXIT
END

IF ~~ p10.1
SAY ~Et je t'aime, <CHARNAME>.~
IF ~~ EXIT
END

IF ~~ p10.2
SAY ~Vraiment? Mais je t'aime, moi aussi.~
IF ~~ EXIT
END

IF ~~ p10.3
SAY ~Je t'aime.~
IF ~~ EXIT
END

IF ~~ p11.1
SAY ~Je suggère la couture. Ca calme les nerfs, tu sais.~
IF ~~ EXIT
END

IF ~~ p11.2
SAY ~Pourquoi tu ne me le montres pas?~
IF ~~ EXIT
END

IF ~~ p11.3
SAY ~Je crois que je connais la réponse. Je te la chuchoterai pendant que tu te déshabilleras.~
IF ~~ EXIT
END

END // End to APPEND